## kwayland-server 5.19.5

=== debian/changelog ===
kwayland-server (5.19.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Sep 2020 12:54:03 +0100

kwayland-server (5.19.4-0ubuntu2) groovy; urgency=medium

  * Rebuild against new plasma-wayland-protocols.

 -- Rik Mills <rikmills@kde.org>  Fri, 31 Jul 2020 14:52:18 +0100

kwayland-server (5.19.4-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jul 2020 20:42:23 +0100

kwayland-server (5.19.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Jul 2020 13:59:20 +0100

kwayland-server (5.19.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Jun 2020 13:45:48 +0100

kwayland-server (5.19.1-0ubuntu1) groovy; urgency=medium

  [ Rik Mills ]
  * Initial release to Ubuntu. (LP: #1884120)
  * Import KDE Neon packaging and 'Ubuntuify'.

  [ José Manuel Santamaría Lema ]
  * Add cmake module info to debian/copyright

 -- Rik Mills <rikmills@kde.org>  Thu, 18 Jun 2020 19:49:46 +0100
