=== debian/control ===
Source: kwayland-server
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               doxygen,
               extra-cmake-modules (>= 5.70.0~),
               libegl1-mesa-dev,
               libkf5wayland-dev (>= 4:5.70.0~),
               libqt5waylandclient5-dev (>= 5.14.0~),
               libwayland-dev,
               pkg-config,
               pkg-kde-tools,
               plasma-wayland-protocols (>= 1.1.1~),
               qtbase5-dev (>= 5.14.0~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
               qtwayland5-dev-tools,
               wayland-protocols (>= 1.15~),
Standards-Version: 4.5.0

Package: libkwaylandserver-dev
Section: libdevel
Architecture: any
Depends: libkf5wayland-dev (>= 4:5.70.0~),
         libkwaylandserver5 (= ${binary:Version}),
         plasma-wayland-protocols,
         qtbase5-dev (>= 5.14.0~),
         ${misc:Depends},
Description: KWayland Server
 Wayland Server Components built on KDE Frameworks
 .
 Contains development files.

Package: libkwaylandserver-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: KWayland Server (documentation)
 Wayland Server Components built on KDE Frameworks
 .
 This package contains the qch documentation files.

Package: libkwaylandserver5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KWayland Server
 Wayland Server Components built on KDE Frameworks
