## kwayland-server 5.20.5

=== debian/changelog ===
kwayland-server (5.20.5-1) unstable; urgency=medium

  * New upstream release (5.20.5).

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:52 +0900

kwayland-server (5.20.4-3) unstable; urgency=medium

  * Use virtual abi package to track versions (Closes: #978008)

 -- Norbert Preining <norbert@preining.info>  Mon, 28 Dec 2020 11:52:11 +0900

kwayland-server (5.20.4-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:37 +0900

kwayland-server (5.20.4-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.20.4).
  * Update (B-)Deps according to CMakeFiles.txt.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Wed, 09 Dec 2020 14:17:32 +0900

kwayland-server (5.19.5-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Sat, 24 Oct 2020 09:24:33 +0200

kwayland-server (5.19.5-1) experimental; urgency=medium

  * New upstream release (5.19.5).
  * Add Scarlett, Patrick, myself to uploaders.
  * Change maintainer to "Debian Qt/KDE ...".

 -- Norbert Preining <norbert@preining.info>  Fri, 23 Oct 2020 09:06:09 +0900

kwayland-server (5.19.4-2) unstable; urgency=medium

  * Upload to unstable.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update symbols file.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Oct 2020 17:33:58 +0200

kwayland-server (5.19.4-1) experimental; urgency=medium

  * Initial packaging.

 -- Pino Toscano <pino@debian.org>  Tue, 18 Aug 2020 21:13:14 +0200
