=== debian/control ===
--- 
+++ 
@@ -40,8 +40,8 @@
 Package: libkwaylandserver-dev
 Section: libdevel
 Architecture: any
-Depends: libkwaylandserver5 (= ${binary:Version}),
-         libkf5wayland-dev (>= 5.74.0~),
+Depends: libkf5wayland-dev (>= 5.74.0~),
+         libkwaylandserver5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.0~),
          ${misc:Depends},
 Description: development files for kwaylandserver
