=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.74.0~),
+               extra-cmake-modules (>= 5.82.0~),
                libegl-dev,
-               libkf5wayland-dev (>= 5.74.0~),
+               libkf5wayland-dev (>= 4:5.82.0~),
                libqt5waylandclient5-dev (>= 5.15.0~),
                libwayland-dev (>= 1.15~),
                pkg-config,
@@ -40,7 +40,7 @@
 Package: libkwaylandserver-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5wayland-dev (>= 5.74.0~),
+Depends: libkf5wayland-dev (>= 4:5.82.0~),
          libkwaylandserver5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.0~),
          ${misc:Depends},
